
#ifndef _PSX2MESA_H_
#define _PSX2MESA_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <ps2gs.h>
#include "GL/gl.h"

typedef struct psx2mesa_context *PSX2MesaContext;

GLboolean PSX2MesaInit(int doubleBuffer, int waitVSync,
					   int inter, int omode, int ffmode, int resolution, int refreshRate,
					   int *width, int *height);
GLAPI PSX2MesaContext GLAPIENTRY PSX2MesaCreateContext(GLenum format, PSX2MesaContext sharelist);
void GLAPIENTRY PSX2MesaDestroyContext(PSX2MesaContext ctx);
GLboolean GLAPIENTRY PSX2MesaMakeCurrent(PSX2MesaContext ctx);
void GLAPIENTRY PSX2MesaSwapBuffers(void);

#ifdef __cplusplus
}
#endif

#endif // _PSX2MESA_H_
